Subject: RE: FVWM: Quit does not really quit ? and Icon placement.

From: "Steffl, Erik" <[email-masked]>
Date: Wed, 5 Jan 2000 12:15:02 -0600

that's more of a CDE question than fvwm question, so I guess you'd get
better answer from CDE docs/newsgroups etc...

  however, since you're using fvwm, why don't you get rid of CDE and simply
use xdm or startx or whatever other method is provided to start 'plain' X.

  you need .xinitrc for startx, .xsession (or is it .Xsession?) for xdm, for
start, simply put one line there:

# sample trivial .xinitrc or .xsession
/usr/local/bin/fvwm2

  if you will add more commands, each of them should be before fvwm2 and ran
in background:

# sample simple .xinitrc or .xsession
xterm&
xeyes&
someOtherProgram&		# all programs have & (run in background)
/usr/local/bin/fvwm2	# always last, no &

  that way, if you quit fvwm2, the X will exit.

  I think it is fairly good idea to simply symlink the .xinitrc to
.xsession, so that no matter how you start X you always have the same
environment.

  for sample files (and system defaults) look into

/usr/X11/lib/X11/xinit
/usr/X11/lib/X11/xdm

  these locations might vary across the systems, also try:

find / -name \*xinitrc\* -print > find.log

  there might not be any xinitrc/xsession examples/defaults on your system,
in that case just use what I suggested above...

  ctrl-alt-backspace should exit X (does not save anything, it is fairly
non-graceful exit)

	erik

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Reshma Acharya
> Sent: Wednesday, January 05, 2000 3:59 AM
> To: Dan Espen
> Cc: [email-masked]
> Subject: Re: FVWM: Quit does not really quit ? and Icon placement.
> 
> 
> Dan,
> 
> I work on Sun Solaris 2.6 machine with CDE sitting on it by 
> default.. I
> am using fvwm2.2
> 
> I did not know how to start fvwm from .xinitrc , so I read the CDE
> documentation and put a line in my 
> /$USER/.dt/sesions/home/dt.resources
> file  as follows - 
> 
> dtsession*wmStartupCommand:     /usr/local/bin/fvwm2
> 
> So whenever I login from CDE login screen fvwm2 is started instead of
> dtwm. Can you please tell me what to do so that I can logout using the
> Quit in fvwm ?
> 
> Dan Espen wrote:
> 
> > 
> > Reshma Acharya <[email-masked]> writes:
> > > Hi,
> > >
> > > I have a problem with the quit fvwm. I have the following 
> in my .fvwm2rc
> > > file
> > >
> > > AddToMenu Quit-Verify         "Really Quit Fvwm?" Title
> > > +                     "Yes, Really Quit"  Quit
> > > +                     "Restart Fvwm"      Restart 
> /usr/local/bin/fvwm2
> > > +                     "Start twm"         Restart twm
> > > +                     "Start mwm"         Restart mwm
> > > +                     "Start olwm"        Restart 
> /usr/openwin/bin/olwm
> > > +                     "Start tvtwm"       Restart vtwm
> > > +                     "Start dummy"       Restart xterm -sb
> > > +                     ""                  Nop
> > > +                     "No, Don't Quit"    Nop
> > >
> > > When I choose "Yes, really quit" , the fvwm exits 
> partially by removing
> > > the destop buttons , menus etc, but the applications that 
> I have been
> > > running still remain up, and I have to close them myself. 
> even after
> > > that the Xsession does not close, and I have to kill this 
> process from
> > > another machine by rlogging into the original machine.
> > >
> > > I searched the FAQ, manual, and the mailing list archive 
> but did not
> > > find a solution.
> > >
> > > Can anyone tell me where I went wrong ?
> > 
> > Please mention the version of fvwm you are using and a 
> little aboout the
> > OS you are using.
> > 
> > I'm going to assume you are starting fvwm with a ".xinitrc".
> > 
> > At least one command in the ".xinitrc" has to hold the "X session",
> > that is, it doesn't exit.
> > 
> > Some people use the window manager for that, others use a program
> > like xlogout, or xconsole.  Any program that doesn't exit until you
> > tell it to will do.
> > 
> > Take a look at your .xinitrc and notice which programs are 
> backgrounded,
> > and which programs are run in the foreground.
> > 
> > > Also Is there a way to line up the icons automatically to 
> one side of
> > > the visible screen ? SnapAttraction and SnapGrid are for 
> bringing the
> > > icons/windows together when they are close together. and 
> I don't want to
> > > use icon boxes. I mean either ther musst be  an option 
> which tells all
> > > the icons to go to the left side (or whatever ) of teh 
> screen (like in
> > > dtwm for CDE)
> > > OR
> > > something to rearrange the icons on the desktop when they 
> are scattered
> > > all over the desktop.
> > 
> > The "Style * IconBox, IconGrid, IconFill" commands control 
> the placement
> > of desktop icons.
> > 
> > Currently, there is no way to draw a grid on the screen and 
> move all the
> > icons into it.
> > 
> > --
> > Dan Espen
> > 444 Hoes Lane  Room RRC 1C-214           E-mail: 
> [email-masked]
> > Piscataway, NJ 08854                     Phone: (732) 699-5570
> 
> -- 
> Best Regards,
> Reshma.
> 
> Email - [email-masked]
> Phone - 91-80-5099343
> 
> -----00oo00------------o0o-------------00oo00-----
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
> 
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].